<?php

namespace Modules\Evaluation\Rules;

use Helpers\Outil\Roles;
use Psr\Http\Message\ServerRequestInterface;

class Campaign
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }

    public function createdit(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function duplicate(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function validate(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function suppression(): bool
    {
        if (!$this->main->campaignDeleteAccess()) {
            return false;
        }

        return true;
    }

    public function supplierList(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function addSupplier(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function supplierRemove(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function validation(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function devalidation(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function cloture(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }


    /**
     * @return bool
     */
    public function index(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function etatAvancement(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function detailEtatAvancement(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function detailEtatAvancementByCampagne(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function detail(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function export(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function supplierImportIndex(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function supplierImport(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function supplierImportSummary(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function monitoring(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupConfirmationDevalidation(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function resultatCampagne(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function resumeRaters(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function etatAvancementByFourniss(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function detailEtatAvancementByFourniss(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function publierSynthese(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function publierSyntheseUpdate(): bool
    {
        return true;
    }
}
